#!/usr/bin/env bash
# Increase, decrease or rewrap quote level
# Usage: change_quote.sh (increase | decrease | rewrap | unwrap)

quote_search=( \>\>\>\> \>\>\> \>\> \> ^ )
quote_rewrap=( '>>>>' '>>>' '>>' '>' '')
quote_increase=( '>>>>>' '>>>>' '>>>' '>>' '>' )
quote_decrease=( '>>>' '>>' '>' '' '' )

for (( i = 0; i < ${#quote_search[@]}; i++ )); do
  if [[ `pbpaste | grep ${quote_search[$i]} `  ]]; then
    if [[ $1 != "unwrap" ]]; then
      sub=$(eval "echo \${quote_$1[$i]}")
      # echo hit$i quote_$1[$i] ${quote_increase[$i]} $sub
      pbpaste | sed -e 's/>//g' | sed 's/^[ ]*//' | fmt -ps -w 74 | sed -e 's/^/'"$sub"' /' | pbcopy | pbpaste
    else
      sub=${quote_rewrap[$i]}
      pbpaste | sed -e 's/>//g' | sed 's/^[ ]*//' | fmt -ps -w 1000 | sed -e 's/^/'"$sub"' /' | pbcopy | pbpaste
    fi
    exit
  fi
done
